package cn.ey.biz.module.system.service.wiki;

import cn.ey.biz.module.system.controller.admin.wiki.vo.WikiPageAndContentRespVO;
import cn.ey.biz.module.system.controller.admin.wiki.vo.WikiPageRespVO;
import cn.ey.biz.module.system.controller.admin.wiki.vo.WikiSpacePageCreateReqVO;

import java.util.List;

public interface WikiPageService {

    /**
     * 根据空间id查询目录
     * @param id
     */
    List<WikiPageRespVO> getPageList(Long id);

    /**
     *根据目录Id获取详情及内容
     * @param id
     */
    WikiPageAndContentRespVO getPageContent(Long id);

    /**
     * 删除目录
     */
    void deletePage(Long id);

    /**
     * 目录创建
     * @param createReqVO
     */
    Long createWikiSpacePage(WikiSpacePageCreateReqVO createReqVO);

}
